import unittest

import cluster
import pdfplumber

class TestChars(unittest.TestCase):
   def test_divide_into_columns(self):
      with pdfplumber.open("./testdata/2-column_2-row.pdf") as pdf:
         for page in pdf.pages:
            cluster.Chars(page.chars, page).divide_into_columns()

if __name__ == "__main__":
   unittest.main()
